Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10303)
@@ -94,4 +94,10 @@
     <Compile Include="Interfaces\ILineChartLogic.cs" />
     <Compile Include="Interfaces\ITransformationLogic.cs" />
+    <Compile Include="Views\FilterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Views\FilterView.Designer.cs">
+      <DependentUpon>FilterView.cs</DependentUpon>
+    </Compile>
     <Compile Include="Views\DataPreprocessingView.cs">
       <SubType>UserControl</SubType>
@@ -99,4 +105,28 @@
     <Compile Include="Views\DataPreprocessingView.designer.cs">
       <DependentUpon>DataPreprocessingView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Views\HistogramView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Views\HistogramView.Designer.cs">
+      <DependentUpon>HistogramView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Views\LineChartView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Views\LineChartView.Designer.cs">
+      <DependentUpon>LineChartView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Views\StatisticsView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Views\StatisticsView.Designer.cs">
+      <DependentUpon>StatisticsView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Views\TransformationView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="Views\TransformationView.Designer.cs">
+      <DependentUpon>TransformationView.cs</DependentUpon>
     </Compile>
     <None Include="Plugin.cs.frame" />
@@ -188,4 +218,9 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="Views\DataPreprocessingView.resx">
+      <DependentUpon>DataPreprocessingView.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterContent.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterContent.cs	(revision 10303)
@@ -10,5 +10,5 @@
 {
   [Item("FilterContent", "Represents the filter grid.")]
-  class FilterContent : Item
+  public class FilterContent : Item
   {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterLogic.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterLogic.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterLogic.cs	(revision 10303)
@@ -4,5 +4,5 @@
 using System.Text;
 
-namespace HeuristicLab.DataPreprocessing.Implementations
+namespace HeuristicLab.DataPreprocessing
 {
   public class FilterLogic : IFilterLogic
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs	(revision 10303)
@@ -11,5 +11,5 @@
 {
   [Item("HistogramContent", "Represents the histogram grid.")]
-  class HistogramContent : Item
+  public class HistogramContent : Item
   {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramLogic.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramLogic.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramLogic.cs	(revision 10303)
@@ -4,5 +4,5 @@
 using System.Text;
 
-namespace HeuristicLab.DataPreprocessing.Implementations
+namespace HeuristicLab.DataPreprocessing
 {
   public class HistogramLogic : IHistogramLogic
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartContent.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartContent.cs	(revision 10303)
@@ -10,5 +10,5 @@
 {
   [Item("LineChartContent", "Represents the line chart grid.")]
-  class LineChartContent : Item
+  public class LineChartContent : Item
   {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartLogic.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartLogic.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartLogic.cs	(revision 10303)
@@ -4,5 +4,5 @@
 using System.Text;
 
-namespace HeuristicLab.DataPreprocessing.Implementations
+namespace HeuristicLab.DataPreprocessing
 {
   public class LineChartLogic:ILineChartLogic
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/StatisticsContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/StatisticsContent.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/StatisticsContent.cs	(revision 10303)
@@ -10,5 +10,5 @@
 {
   [Item("StatisticsContent", "Represents the statistics grid.")]
-  class StatisticsContent : Item
+  public class StatisticsContent : Item
   {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs	(revision 10303)
@@ -10,5 +10,5 @@
 {
   [Item("TransformationContent", "Represents the transformation grid.")]
-  class TransformationContent : Item
+  public class TransformationContent : Item
   {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs	(revision 10303)
@@ -17,4 +17,10 @@
 
     private DataGridContent dataGridContent;
+    private StatisticsContent statisticsContent;
+    private FilterContent filterContent;
+    private TransformationContent tranformationContent;
+    private LineChartContent lineChartContent;
+    private HistogramContent histogramContent;
+
     private Dictionary<ListViewItem, IItem> listViewItemItemMapping;
 
@@ -45,4 +51,9 @@
       ISearchLogic searchLogic = new SearchLogic(data);
       dataGridContent = new DataGridContent(new DataGridLogic(data), new PreprocessingDataManipulation(data, searchLogic, new StatisticsLogic(data, searchLogic)));
+      statisticsContent = new StatisticsContent(new StatisticsLogic(data, searchLogic));
+      filterContent = new FilterContent(new FilterLogic());
+      tranformationContent = new TransformationContent(new TransformationLogic());
+      lineChartContent = new LineChartContent(new LineChartLogic());
+      histogramContent = new HistogramContent(new HistogramLogic());
 
       listViewItemItemMapping = new Dictionary<ListViewItem, IItem>();
@@ -50,5 +61,25 @@
       listViewItemItemMapping[contentListViewItem] = dataGridContent;
 
+      ListViewItem statisticsListViewItem = CreateListViewItem(statisticsContent);
+      listViewItemItemMapping[statisticsListViewItem] = statisticsContent;
+
+      ListViewItem filterListViewItem = CreateListViewItem(filterContent);
+      listViewItemItemMapping[filterListViewItem] = filterContent;
+
+      ListViewItem transformationListViewItem = CreateListViewItem(tranformationContent);
+      listViewItemItemMapping[transformationListViewItem] = tranformationContent;
+
+      ListViewItem lineChartListViewItem = CreateListViewItem(lineChartContent);
+      listViewItemItemMapping[lineChartListViewItem] = lineChartContent;
+
+      ListViewItem histogramListViewItem = CreateListViewItem(histogramContent);
+      listViewItemItemMapping[histogramListViewItem] = histogramContent;
+
+      contentListView.Items.Add(statisticsListViewItem);
       contentListView.Items.Add(contentListViewItem);
+      contentListView.Items.Add(filterListViewItem);
+      contentListView.Items.Add(transformationListViewItem);
+      contentListView.Items.Add(lineChartListViewItem);
+      contentListView.Items.Add(histogramListViewItem);
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10260)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10303)
@@ -64,4 +64,5 @@
       this.contentListView.TabIndex = 0;
       this.contentListView.UseCompatibleStateImageBehavior = false;
+      this.contentListView.View = System.Windows.Forms.View.List;
       this.contentListView.SelectedIndexChanged += new System.EventHandler(this.listView1_SelectedIndexChanged);
       this.contentListView.DoubleClick += new System.EventHandler(this.listView1_DoubleClick);
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/FilterView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/FilterView.Designer.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/FilterView.Designer.cs	(revision 10303)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.DataPreprocessing {
+  partial class FilterView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/FilterView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/FilterView.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/FilterView.cs	(revision 10303)
@@ -0,0 +1,34 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Data.Views;
+
+namespace HeuristicLab.DataPreprocessing {
+
+  [View("Filter View")]
+  [Content(typeof(FilterContent), false)]
+  public partial class FilterView : ItemView {
+
+    public new FilterContent Content {
+      get { return (FilterContent)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public FilterView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+    }
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/HistogramView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/HistogramView.Designer.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/HistogramView.Designer.cs	(revision 10303)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.DataPreprocessing.Views {
+  partial class HistogramView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/HistogramView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/HistogramView.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/HistogramView.cs	(revision 10303)
@@ -0,0 +1,38 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Data.Views;
+
+namespace HeuristicLab.DataPreprocessing.Views {
+
+  [View("Histogram View")]
+  [Content(typeof(HistogramContent), false)]
+  public partial class HistogramView : ItemView {
+    public HistogramView() {
+      InitializeComponent();
+    }
+
+    public new HistogramContent Content {
+      get { return (HistogramContent)base.Content; }
+      set { base.Content = value; }
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+    }
+  }
+}
+
+
+
+
+
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/LineChartView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/LineChartView.Designer.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/LineChartView.Designer.cs	(revision 10303)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.DataPreprocessing.Views {
+  partial class LineChartView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/LineChartView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/LineChartView.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/LineChartView.cs	(revision 10303)
@@ -0,0 +1,35 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Data.Views;
+
+namespace HeuristicLab.DataPreprocessing.Views {
+
+  [View("Line Chart View")]
+  [Content(typeof(LineChartContent), false)]
+  public partial class LineChartView : ItemView {
+    public LineChartView() {
+      InitializeComponent();
+    }
+
+    public new LineChartContent Content {
+      get { return (LineChartContent)base.Content; }
+      set { base.Content = value; }
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+    }
+  }
+}
+
+
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.Designer.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.Designer.cs	(revision 10303)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.DataPreprocessing {
+  partial class StatisticsView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.cs	(revision 10303)
@@ -0,0 +1,34 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Data.Views;
+
+namespace HeuristicLab.DataPreprocessing {
+
+  [View("Statistics View")]
+  [Content(typeof(StatisticsContent), false)]
+  public partial class StatisticsView : ItemView {
+
+    public new StatisticsContent Content {
+      get { return (StatisticsContent)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public StatisticsView() {
+      InitializeComponent();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+    }
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/TransformationView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/TransformationView.Designer.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/TransformationView.Designer.cs	(revision 10303)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.DataPreprocessing.Views {
+  partial class TransformationView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/TransformationView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/TransformationView.cs	(revision 10303)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/TransformationView.cs	(revision 10303)
@@ -0,0 +1,33 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.MainForm.WindowsForms;
+using HeuristicLab.Problems.DataAnalysis;
+using HeuristicLab.Data.Views;
+
+namespace HeuristicLab.DataPreprocessing.Views {
+
+  [View("Transformation View")]
+  [Content(typeof(TransformationContent), false)]
+  public partial class TransformationView : ItemView {
+    public TransformationView() {
+      InitializeComponent();
+    }
+
+    public new TransformationContent Content {
+      get { return (TransformationContent)base.Content; }
+    set { base.Content = value; }
+  }
+
+  protected override void OnContentChanged() {
+    base.OnContentChanged();
+  }
+  }
+}