Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/HeuristicLab.DataPreprocessing-3.3.csproj	(revision 10313)
@@ -95,4 +95,9 @@
     <Compile Include="Interfaces\ITransformationLogic.cs" />
     <Compile Include="PreprocessingCloner.cs" />
+    <Compile Include="Properties\Resources.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DesignTime>True</DesignTime>
+      <DependentUpon>Resources.resx</DependentUpon>
+    </Compile>
     <Compile Include="Views\FilterView.cs">
       <SubType>UserControl</SubType>
@@ -219,4 +224,16 @@
     </ProjectReference>
   </ItemGroup>
+  <ItemGroup>
+    <EmbeddedResource Include="Properties\Resources.resx">
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Views\DataPreprocessingView.resx">
+      <DependentUpon>DataPreprocessingView.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Views\StatisticsView.resx">
+      <DependentUpon>StatisticsView.cs</DependentUpon>
+    </EmbeddedResource>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <PropertyGroup>
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/DataGridContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/DataGridContent.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/DataGridContent.cs	(revision 10313)
@@ -7,5 +7,5 @@
 namespace HeuristicLab.DataPreprocessing {
 
-  [Item("DataGridContent", "Represents a data grid.")]
+  [Item("DataGrid", "Represents a data grid.")]
   public class DataGridContent : Item, IDataGridContent, IContent {
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterContent.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/FilterContent.cs	(revision 10313)
@@ -9,7 +9,11 @@
 namespace HeuristicLab.DataPreprocessing
 {
-  [Item("FilterContent", "Represents the filter grid.")]
+  [Item("Filter", "Represents the filter grid.")]
   public class FilterContent : Item
   {
+
+    public static new Image StaticItemImage {
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Filter; }
+    }
 
     private readonly IFilterLogic filterLogic;
@@ -32,9 +36,4 @@
     }
 
-    public static new Image StaticItemImage
-    {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
-    }
-
     public override IDeepCloneable Clone(Cloner cloner)
     {
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs	(revision 10313)
@@ -10,5 +10,5 @@
 namespace HeuristicLab.DataPreprocessing
 {
-  [Item("HistogramContent", "Represents the histogram grid.")]
+  [Item("Histogram", "Represents the histogram grid.")]
   public class HistogramContent : Item
   {
@@ -36,5 +36,5 @@
     public static new Image StaticItemImage
     {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.PieChart; }
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartContent.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/LineChartContent.cs	(revision 10313)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.DataPreprocessing
 {
-  [Item("LineChartContent", "Represents the line chart grid.")]
+  [Item("LineChart", "Represents the line chart grid.")]
   public class LineChartContent : Item
   {
@@ -35,5 +35,5 @@
     public static new Image StaticItemImage
     {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.PieChart; }
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/StatisticsContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/StatisticsContent.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/StatisticsContent.cs	(revision 10313)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.DataPreprocessing
 {
-  [Item("StatisticsContent", "Represents the statistics grid.")]
+  [Item("Statistics", "Represents the statistics grid.")]
   public class StatisticsContent : Item
   {
@@ -35,5 +35,5 @@
     public static new Image StaticItemImage
     {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Statistics; }
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs	(revision 10313)
@@ -9,5 +9,5 @@
 namespace HeuristicLab.DataPreprocessing
 {
-  [Item("TransformationContent", "Represents the transformation grid.")]
+  [Item("Transformation", "Represents the transformation grid.")]
   public class TransformationContent : Item
   {
@@ -35,5 +35,5 @@
     public static new Image StaticItemImage
     {
-      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
+      get { return HeuristicLab.Common.Resources.VSImageLibrary.Method; }
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Properties/Resources.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Properties/Resources.Designer.cs	(revision 10313)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Properties/Resources.Designer.cs	(revision 10313)
@@ -0,0 +1,63 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:4.0.30319.18408
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.DataPreprocessing.Properties {
+    using System;
+    
+    
+    /// <summary>
+    ///   A strongly-typed resource class, for looking up localized strings, etc.
+    /// </summary>
+    // This class was auto-generated by the StronglyTypedResourceBuilder
+    // class via a tool like ResGen or Visual Studio.
+    // To add or remove a member, edit your .ResX file then rerun ResGen
+    // with the /str option, or rebuild your VS project.
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    internal class Resources {
+        
+        private static global::System.Resources.ResourceManager resourceMan;
+        
+        private static global::System.Globalization.CultureInfo resourceCulture;
+        
+        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+        internal Resources() {
+        }
+        
+        /// <summary>
+        ///   Returns the cached ResourceManager instance used by this class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Resources.ResourceManager ResourceManager {
+            get {
+                if (object.ReferenceEquals(resourceMan, null)) {
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.DataPreprocessing.Properties.Resources", typeof(Resources).Assembly);
+                    resourceMan = temp;
+                }
+                return resourceMan;
+            }
+        }
+        
+        /// <summary>
+        ///   Overrides the current thread's CurrentUICulture property for all
+        ///   resource lookups using this strongly typed resource class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Globalization.CultureInfo Culture {
+            get {
+                return resourceCulture;
+            }
+            set {
+                resourceCulture = value;
+            }
+        }
+    }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs	(revision 10313)
@@ -34,8 +34,8 @@
 
       listViewItem.Text = item.ToString();
-      //listViewItem.ToolTipText = item.ItemName + ": " + item.ItemDescription;
-      //itemsListView.SmallImageList.Images.Add(content.);
-      //listViewItem.ImageIndex = itemsListView.SmallImageList.Images.Count - 1;
-      //listViewItem.Tag = item;
+      listViewItem.ToolTipText = item.ItemName + ": " + item.ItemDescription;
+      contentListView.SmallImageList.Images.Add(item.ItemImage);
+      listViewItem.ImageIndex = contentListView.SmallImageList.Images.Count - 1;
+      listViewItem.Tag = item;
       return listViewItem;
     }
@@ -52,4 +52,5 @@
 
       listViewItemItemMapping = new Dictionary<ListViewItem, IItem>();
+      contentListView.SmallImageList = new ImageList();
       ListViewItem contentListViewItem = CreateListViewItem(dataGridContent);
       listViewItemItemMapping[contentListViewItem] = dataGridContent;
@@ -89,5 +90,6 @@
       if (contentListView.SelectedItems.Count > 0) {
         ListViewItem listViewItem = (ListViewItem)contentListView.SelectedItems[0];
-        this.viewHost.Content = listViewItemItemMapping[listViewItem];
+        //this.viewHost.Content = listViewItemItemMapping[listViewItem];
+        this.viewHost.Content = (IItem)listViewItem.Tag;
       }
     }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10313)
@@ -24,9 +24,12 @@
     /// </summary>
     private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DataPreprocessingView));
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.undoButton = new System.Windows.Forms.Button();
       this.contentListView = new System.Windows.Forms.ListView();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.exportProblemButton = new System.Windows.Forms.Button();
-      this.applyInNewTabButton = new System.Windows.Forms.Button();
+      this.saveButton = new System.Windows.Forms.Button();
+      this.tryOutAlgorithmButton = new System.Windows.Forms.Button();
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
       this.splitContainer1.Panel1.SuspendLayout();
@@ -38,4 +41,5 @@
       // 
       this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer1.FixedPanel = System.Windows.Forms.FixedPanel.Panel1;
       this.splitContainer1.Location = new System.Drawing.Point(0, 0);
       this.splitContainer1.Name = "splitContainer1";
@@ -43,14 +47,27 @@
       // splitContainer1.Panel1
       // 
+      this.splitContainer1.Panel1.Controls.Add(this.undoButton);
       this.splitContainer1.Panel1.Controls.Add(this.contentListView);
+      this.splitContainer1.Panel1.Controls.Add(this.tryOutAlgorithmButton);
+      this.splitContainer1.Panel1.Controls.Add(this.saveButton);
       // 
       // splitContainer1.Panel2
       // 
       this.splitContainer1.Panel2.Controls.Add(this.viewHost);
-      this.splitContainer1.Panel2.Controls.Add(this.exportProblemButton);
-      this.splitContainer1.Panel2.Controls.Add(this.applyInNewTabButton);
+      this.splitContainer1.Panel2.Controls.Add(this.saveButton);
+      this.splitContainer1.Panel2.Controls.Add(this.tryOutAlgorithmButton);
       this.splitContainer1.Size = new System.Drawing.Size(838, 449);
-      this.splitContainer1.SplitterDistance = 278;
+      this.splitContainer1.SplitterDistance = 181;
       this.splitContainer1.TabIndex = 0;
+      // 
+      // undoButton
+      // 
+      this.undoButton.Image = ((System.Drawing.Image)(resources.GetObject("undoButton.Image")));
+      this.undoButton.Location = new System.Drawing.Point(72, 15);
+      this.undoButton.Name = "undoButton";
+      this.undoButton.Size = new System.Drawing.Size(24, 24);
+      this.undoButton.TabIndex = 3;
+      this.toolTip.SetToolTip(this.undoButton, "Undo");
+      this.undoButton.UseVisualStyleBackColor = true;
       // 
       // contentListView
@@ -59,7 +76,8 @@
             | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.contentListView.Location = new System.Drawing.Point(12, 15);
+      this.contentListView.Font = new System.Drawing.Font("Microsoft Sans Serif", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.contentListView.Location = new System.Drawing.Point(12, 44);
       this.contentListView.Name = "contentListView";
-      this.contentListView.Size = new System.Drawing.Size(254, 389);
+      this.contentListView.Size = new System.Drawing.Size(157, 391);
       this.contentListView.TabIndex = 0;
       this.contentListView.UseCompatibleStateImageBehavior = false;
@@ -67,4 +85,25 @@
       this.contentListView.SelectedIndexChanged += new System.EventHandler(this.listView1_SelectedIndexChanged);
       this.contentListView.DoubleClick += new System.EventHandler(this.listView1_DoubleClick);
+      // 
+      // tryOutAlgorithmButton
+      // 
+      this.tryOutAlgorithmButton.Image = ((System.Drawing.Image)(resources.GetObject("tryOutAlgorithmButton.Image")));
+      this.tryOutAlgorithmButton.Location = new System.Drawing.Point(42, 15);
+      this.tryOutAlgorithmButton.Name = "tryOutAlgorithmButton";
+      this.tryOutAlgorithmButton.Size = new System.Drawing.Size(24, 24);
+      this.tryOutAlgorithmButton.TabIndex = 2;
+      this.toolTip.SetToolTip(this.tryOutAlgorithmButton, "Try Out Algorithm");
+      this.tryOutAlgorithmButton.UseVisualStyleBackColor = true;
+      this.tryOutAlgorithmButton.Click += new System.EventHandler(this.tryOutAlgorithmButton_Click);
+      // 
+      // saveButton
+      // 
+      this.saveButton.Image = ((System.Drawing.Image)(resources.GetObject("saveButton.Image")));
+      this.saveButton.Location = new System.Drawing.Point(12, 15);
+      this.saveButton.Name = "saveButton";
+      this.saveButton.Size = new System.Drawing.Size(24, 24);
+      this.saveButton.TabIndex = 1;
+      this.toolTip.SetToolTip(this.saveButton, "Save");
+      this.saveButton.UseVisualStyleBackColor = true;
       // 
       // viewHost
@@ -76,33 +115,32 @@
       this.viewHost.Content = null;
       this.viewHost.Enabled = false;
-      this.viewHost.Location = new System.Drawing.Point(14, 15);
+      this.viewHost.Location = new System.Drawing.Point(16, 44);
       this.viewHost.Name = "viewHost";
       this.viewHost.ReadOnly = false;
-      this.viewHost.Size = new System.Drawing.Size(526, 389);
+      this.viewHost.Size = new System.Drawing.Size(621, 391);
       this.viewHost.TabIndex = 4;
       this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
-      // exportProblemButton
+      // saveButton
       // 
-      this.exportProblemButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.exportProblemButton.Location = new System.Drawing.Point(318, 410);
-      this.exportProblemButton.Name = "exportProblemButton";
-      this.exportProblemButton.Size = new System.Drawing.Size(100, 23);
-      this.exportProblemButton.TabIndex = 3;
-      this.exportProblemButton.Text = "Export Problem";
-      this.exportProblemButton.UseVisualStyleBackColor = true;
-      this.exportProblemButton.Click += new System.EventHandler(this.exportProblemButton_Click);
+      this.saveButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.saveButton.Location = new System.Drawing.Point(343, 410);
+      this.saveButton.Name = "saveButton";
+      this.saveButton.Size = new System.Drawing.Size(75, 23);
+      this.saveButton.TabIndex = 3;
+      this.saveButton.Text = "Save";
+      this.saveButton.UseVisualStyleBackColor = true;
       // 
-      // applyInNewTabButton
+      // tryOutAlgorithmButton
       // 
-      this.applyInNewTabButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.applyInNewTabButton.Location = new System.Drawing.Point(432, 410);
-      this.applyInNewTabButton.Name = "applyInNewTabButton";
-      this.applyInNewTabButton.Size = new System.Drawing.Size(108, 23);
-      this.applyInNewTabButton.TabIndex = 2;
-      this.applyInNewTabButton.Text = "Apply in new Tab";
-      this.applyInNewTabButton.UseVisualStyleBackColor = true;
-      this.applyInNewTabButton.Click += new System.EventHandler(this.applyInNewTabButton_Click);
+      this.tryOutAlgorithmButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+      this.tryOutAlgorithmButton.Location = new System.Drawing.Point(443, 410);
+      this.tryOutAlgorithmButton.Name = "tryOutAlgorithmButton";
+      this.tryOutAlgorithmButton.Size = new System.Drawing.Size(97, 23);
+      this.tryOutAlgorithmButton.TabIndex = 2;
+      this.tryOutAlgorithmButton.Text = "Try Out Algorithm";
+      this.tryOutAlgorithmButton.UseVisualStyleBackColor = true;
+      this.tryOutAlgorithmButton.Click += new System.EventHandler(this.tryOutAlgorithmButton_Click);
       // 
       // DataPreprocessingView
@@ -127,5 +165,4 @@
     private System.Windows.Forms.Button applyInNewTabButton;
     private MainForm.WindowsForms.ViewHost viewHost;
-    private System.Windows.Forms.SplitContainer splitContainer1;
 
   }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.Designer.cs	(revision 10312)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/StatisticsView.Designer.cs	(revision 10313)
@@ -24,6 +24,14 @@
     /// </summary>
     private void InitializeComponent() {
-      components = new System.ComponentModel.Container();
+      this.SuspendLayout();
+      // 
+      // StatisticsView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Name = "StatisticsView";
+      this.Size = new System.Drawing.Size(549, 408);
+      this.ResumeLayout(false);
+
     }
 