Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10313)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10314)
@@ -29,7 +29,8 @@
       this.undoButton = new System.Windows.Forms.Button();
       this.contentListView = new System.Windows.Forms.ListView();
+      this.tryOutAlgorithmButton = new System.Windows.Forms.Button();
+      this.saveButton = new System.Windows.Forms.Button();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.saveButton = new System.Windows.Forms.Button();
-      this.tryOutAlgorithmButton = new System.Windows.Forms.Button();
+      this.toolTip = new System.Windows.Forms.ToolTip(this.components);
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer1)).BeginInit();
       this.splitContainer1.Panel1.SuspendLayout();
@@ -48,13 +49,11 @@
       // 
       this.splitContainer1.Panel1.Controls.Add(this.undoButton);
-      this.splitContainer1.Panel1.Controls.Add(this.contentListView);
       this.splitContainer1.Panel1.Controls.Add(this.tryOutAlgorithmButton);
       this.splitContainer1.Panel1.Controls.Add(this.saveButton);
+      this.splitContainer1.Panel1.Controls.Add(this.contentListView);
       // 
       // splitContainer1.Panel2
       // 
       this.splitContainer1.Panel2.Controls.Add(this.viewHost);
-      this.splitContainer1.Panel2.Controls.Add(this.saveButton);
-      this.splitContainer1.Panel2.Controls.Add(this.tryOutAlgorithmButton);
       this.splitContainer1.Size = new System.Drawing.Size(838, 449);
       this.splitContainer1.SplitterDistance = 181;
@@ -64,5 +63,5 @@
       // 
       this.undoButton.Image = ((System.Drawing.Image)(resources.GetObject("undoButton.Image")));
-      this.undoButton.Location = new System.Drawing.Point(72, 15);
+      this.undoButton.Location = new System.Drawing.Point(72, 14);
       this.undoButton.Name = "undoButton";
       this.undoButton.Size = new System.Drawing.Size(24, 24);
@@ -89,21 +88,22 @@
       // 
       this.tryOutAlgorithmButton.Image = ((System.Drawing.Image)(resources.GetObject("tryOutAlgorithmButton.Image")));
-      this.tryOutAlgorithmButton.Location = new System.Drawing.Point(42, 15);
+      this.tryOutAlgorithmButton.Location = new System.Drawing.Point(42, 14);
       this.tryOutAlgorithmButton.Name = "tryOutAlgorithmButton";
       this.tryOutAlgorithmButton.Size = new System.Drawing.Size(24, 24);
       this.tryOutAlgorithmButton.TabIndex = 2;
-      this.toolTip.SetToolTip(this.tryOutAlgorithmButton, "Try Out Algorithm");
+      this.toolTip.SetToolTip(this.tryOutAlgorithmButton, "Apply in new tab");
       this.tryOutAlgorithmButton.UseVisualStyleBackColor = true;
-      this.tryOutAlgorithmButton.Click += new System.EventHandler(this.tryOutAlgorithmButton_Click);
+      this.tryOutAlgorithmButton.Click += new System.EventHandler(this.applyInNewTabButton_Click);
       // 
       // saveButton
       // 
       this.saveButton.Image = ((System.Drawing.Image)(resources.GetObject("saveButton.Image")));
-      this.saveButton.Location = new System.Drawing.Point(12, 15);
+      this.saveButton.Location = new System.Drawing.Point(12, 14);
       this.saveButton.Name = "saveButton";
       this.saveButton.Size = new System.Drawing.Size(24, 24);
       this.saveButton.TabIndex = 1;
-      this.toolTip.SetToolTip(this.saveButton, "Save");
+      this.toolTip.SetToolTip(this.saveButton, "Export problem");
       this.saveButton.UseVisualStyleBackColor = true;
+      this.saveButton.Click += new System.EventHandler(this.exportProblemButton_Click);
       // 
       // viewHost
@@ -122,25 +122,4 @@
       this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
-      // 
-      // saveButton
-      // 
-      this.saveButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.saveButton.Location = new System.Drawing.Point(343, 410);
-      this.saveButton.Name = "saveButton";
-      this.saveButton.Size = new System.Drawing.Size(75, 23);
-      this.saveButton.TabIndex = 3;
-      this.saveButton.Text = "Save";
-      this.saveButton.UseVisualStyleBackColor = true;
-      // 
-      // tryOutAlgorithmButton
-      // 
-      this.tryOutAlgorithmButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.tryOutAlgorithmButton.Location = new System.Drawing.Point(443, 410);
-      this.tryOutAlgorithmButton.Name = "tryOutAlgorithmButton";
-      this.tryOutAlgorithmButton.Size = new System.Drawing.Size(97, 23);
-      this.tryOutAlgorithmButton.TabIndex = 2;
-      this.tryOutAlgorithmButton.Text = "Try Out Algorithm";
-      this.tryOutAlgorithmButton.UseVisualStyleBackColor = true;
-      this.tryOutAlgorithmButton.Click += new System.EventHandler(this.tryOutAlgorithmButton_Click);
       // 
       // DataPreprocessingView
@@ -162,7 +141,10 @@
 
     private System.Windows.Forms.ListView contentListView;
-    private System.Windows.Forms.Button exportProblemButton;
-    private System.Windows.Forms.Button applyInNewTabButton;
+    private System.Windows.Forms.Button saveButton;
+    private System.Windows.Forms.Button tryOutAlgorithmButton;
+    private System.Windows.Forms.Button undoButton;
     private MainForm.WindowsForms.ViewHost viewHost;
+    private System.Windows.Forms.SplitContainer splitContainer1;
+    private System.Windows.Forms.ToolTip toolTip;
 
   }