Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs	(revision 10341)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.cs	(revision 10342)
@@ -42,4 +42,6 @@
 
     private void InitializeContents() {
+
+      //create content items
       IPreprocessingData data = Content.Data;
       ISearchLogic searchLogic = new SearchLogic(data);
@@ -51,4 +53,5 @@
       histogramContent = new HistogramContent(new HistogramLogic());
 
+      //create view items
       listViewItemItemMapping = new Dictionary<ListViewItem, IItem>();
       contentListView.SmallImageList = new ImageList();
@@ -71,4 +74,5 @@
       listViewItemItemMapping[histogramListViewItem] = histogramContent;
 
+      //add view items
       contentListView.Items.Add(statisticsListViewItem);
       contentListView.Items.Add(contentListViewItem);
@@ -77,4 +81,7 @@
       contentListView.Items.Add(lineChartListViewItem);
       contentListView.Items.Add(histogramListViewItem);
+
+      //default view -> statistic view
+      contentListView.SelectedIndices.Add(0);
     }
 
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10341)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Views/DataPreprocessingView.designer.cs	(revision 10342)
@@ -25,9 +25,8 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(DataPreprocessingView));
       this.splitContainer1 = new System.Windows.Forms.SplitContainer();
       this.undoButton = new System.Windows.Forms.Button();
-      this.tryOutAlgorithmButton = new System.Windows.Forms.Button();
-      this.saveButton = new System.Windows.Forms.Button();
+      this.applyInNewTabButton = new System.Windows.Forms.Button();
+      this.exportProblemButton = new System.Windows.Forms.Button();
       this.contentListView = new System.Windows.Forms.ListView();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
@@ -49,6 +48,6 @@
       // 
       this.splitContainer1.Panel1.Controls.Add(this.undoButton);
-      this.splitContainer1.Panel1.Controls.Add(this.tryOutAlgorithmButton);
-      this.splitContainer1.Panel1.Controls.Add(this.saveButton);
+      this.splitContainer1.Panel1.Controls.Add(this.applyInNewTabButton);
+      this.splitContainer1.Panel1.Controls.Add(this.exportProblemButton);
       this.splitContainer1.Panel1.Controls.Add(this.contentListView);
       // 
@@ -62,5 +61,5 @@
       // undoButton
       // 
-      this.saveButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Undo;
+      this.undoButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Undo;
       this.undoButton.Location = new System.Drawing.Point(72, 14);
       this.undoButton.Name = "undoButton";
@@ -70,25 +69,25 @@
       this.undoButton.UseVisualStyleBackColor = true;
       // 
-      // tryOutAlgorithmButton
+      // applyInNewTabButton
       // 
-      this.saveButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Play;
-      this.tryOutAlgorithmButton.Location = new System.Drawing.Point(42, 14);
-      this.tryOutAlgorithmButton.Name = "tryOutAlgorithmButton";
-      this.tryOutAlgorithmButton.Size = new System.Drawing.Size(24, 24);
-      this.tryOutAlgorithmButton.TabIndex = 2;
-      this.toolTip.SetToolTip(this.tryOutAlgorithmButton, "Apply in new tab");
-      this.tryOutAlgorithmButton.UseVisualStyleBackColor = true;
-      this.tryOutAlgorithmButton.Click += new System.EventHandler(this.applyInNewTabButton_Click);
+      this.applyInNewTabButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Play;
+      this.applyInNewTabButton.Location = new System.Drawing.Point(42, 14);
+      this.applyInNewTabButton.Name = "applyInNewTabButton";
+      this.applyInNewTabButton.Size = new System.Drawing.Size(24, 24);
+      this.applyInNewTabButton.TabIndex = 2;
+      this.toolTip.SetToolTip(this.applyInNewTabButton, "Apply in new tab");
+      this.applyInNewTabButton.UseVisualStyleBackColor = true;
+      this.applyInNewTabButton.Click += new System.EventHandler(this.applyInNewTabButton_Click);
       // 
-      // saveButton
+      // exportProblemButton
       // 
-      this.saveButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Save;
-      this.saveButton.Location = new System.Drawing.Point(12, 14);
-      this.saveButton.Name = "saveButton";
-      this.saveButton.Size = new System.Drawing.Size(24, 24);
-      this.saveButton.TabIndex = 1;
-      this.toolTip.SetToolTip(this.saveButton, "Export problem");
-      this.saveButton.UseVisualStyleBackColor = true;
-      this.saveButton.Click += new System.EventHandler(this.exportProblemButton_Click);
+      this.exportProblemButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Save;
+      this.exportProblemButton.Location = new System.Drawing.Point(12, 14);
+      this.exportProblemButton.Name = "exportProblemButton";
+      this.exportProblemButton.Size = new System.Drawing.Size(24, 24);
+      this.exportProblemButton.TabIndex = 1;
+      this.toolTip.SetToolTip(this.exportProblemButton, "Export problem");
+      this.exportProblemButton.UseVisualStyleBackColor = true;
+      this.exportProblemButton.Click += new System.EventHandler(this.exportProblemButton_Click);
       // 
       // contentListView
@@ -141,6 +140,6 @@
 
     private System.Windows.Forms.ListView contentListView;
-    private System.Windows.Forms.Button saveButton;
-    private System.Windows.Forms.Button tryOutAlgorithmButton;
+    private System.Windows.Forms.Button exportProblemButton;
+    private System.Windows.Forms.Button applyInNewTabButton;
     private System.Windows.Forms.Button undoButton;
     private MainForm.WindowsForms.ViewHost viewHost;